/*
 * Atmel maXTouch Touchscreen driver
 *
 * Copyright (C) 2010 Samsung Electronics Co.Ltd
 * Author: Joonyoung Shim <jy0922.shim@samsung.com>
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 */

#ifndef __LINUX_ATMEL_MXT_TS_H
#define __LINUX_ATMEL_MXT_TS_H

#include <linux/types.h>

struct mxt_info {
	u8 family_id;
	u8 variant_id;
	u8 version;
	u8 build;
	u8 matrix_xsize;
	u8 matrix_ysize;
	u8 object_num;
};

struct mxt_panel_resolution {
	u16 x_min;
	u16 y_min;
	u16 x_max;
	u16 y_max;
};

/* The platform data for the Atmel maXTouch touchscreen driver */
struct mxt_platform_data {
	struct mxt_info dt_info;
	struct mxt_panel_resolution res;
	unsigned long irqflags;
	u8 t19_num_keys;
	unsigned int *t19_keymap;
	int t15_num_keys;
	unsigned int *t15_keymap;
	int gpio_reset;
	int gpio_irq;
	int gpio_dcdc_en;
	int gpio_ldo_en;
	int gpio_io_ldo_en;
	unsigned int gpio_reset_flags;
	unsigned int gpio_irq_flags;
	unsigned int gpio_dcdc_en_flags;
	unsigned int gpio_ldo_en_flags;
	unsigned int gpio_io_ldo_en_flags;
	const char *cfg_name;
	bool no_force_update;
	struct pinctrl *ts_pinctrl;
	struct pinctrl_state *pinctrl_state_active;
	struct pinctrl_state *pinctrl_state_suspend;
};

#endif /* __LINUX_ATMEL_MXT_TS_H */
